Subject: Re: UNC paths are not supported. Defaulting to Windows directory [and side comment on lists]
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Fri, 06 Dec 2002 13:37:14 -0800

linda w (cyg) wrote:

> I found creating a shortcut to bash (and calling it 'cygwin') seems to 
> shortcut the need for using cmd.exe. When I use the provided 
> 'cygwin.bat', I end up with a process tree:
> EXPLORER:
> CMD.EXE
> BASH.EXE
> --- makes sense, shell cmd calls bash.exe -- but I noticed this 
> annoying feature -- if I had pressed 'control-c' sometime during my 
> bash session, then when I hit control-d to exit from bash, CMD would 
> ask "do you really want to terminate this BATCH job (y/n)?" Of course 
> since it was at the end of the batch file, it didn't matter y or n, 
> but it did requirement me to select an answer and hit return.

Yeah, ugly! Kludgy! Then again I find the Windows window that you get 
from cmd and the default Cygwin.bat to be ugly too. Have you ever tried 
cut and paste from that sort of window? It works but it's not ideal. Try 
rxvt! And then you can make an ~/.Xdefaults such as:

! Rxvt defaults

! Global
*font:                          "Lucida Console-*-15"
*saveLines:                     500
*termName:                      cygwin
*scrollBar_right:               True
*smallfont_key:                 <
*bigfont_key:                   >
*geometry:                      80x24
*loginShell:                    True

Rxvt.background:                AntiqueWhite
Rxvt.foreground:                Black
Rxvt.colorBD:                   Blue
Rxvt.colorUL:                   Red
Rxvt.cursorColor:               Blue

> Being lazy, my first try at getting around this was to put 'start' in 
> front of the call to bash.exe. On WinXP, (and maybe win2k), the 
> default on this has changed from being a "call <prog>; wait" to the 
> equivalent of "call prog&" (no wait), so the main cmd.exe would 
> terminate and I'd be left with only BASH.EXE parented by Explorer.

Yeah. Actually I used to do "cmd /c start /b rxvt -e bash --login -i" as 
the command line for my shortcuts and I would set them to running 
minimized so that you don't see the flicker of the initial cmd window. 
Now I use /usr/X11R6/bin/run instead of cmd yeilding '/usr/X11R6/bin/run 
rxvt -title "Logging onto local host as adefaria..." -e bash --login -i'

> However, the purist in me wanted to know why I should call the CMD 
> shell soley for the purpose of calling the bash shell.
>
> So..enter latest method: short cut to bash: in properties I have 
> target: "C:\root\bin\bash.exe --login -i" (root=cygwinroot), and the 
> start-in dir is set to C:\root\bin -- all like the batchfile would 
> have done -- except this is a shortcut used directly by explorer -- no 
> invocation of CMD --
>
> *SO*, answering the original question: you can specify your starting 
> dir as \\<Mydomain (or server)>\home and end up with your domain home 
> directory (if you have one) or a exported 'home' dir on a local 
> server. Since CMD is never in the picture, no complaints about it not 
> liking UNC paths.

I tend to prefer mount -bsf //<loginserver>/<homeshare> /home.

> As an aid in all this, I put the normal cygwin directories in my path 
> (put them in the 'env' path entry in my current user tree -- I might 
> want to have move them to HKLM so it's available for any user, but 
> since I'm my only user right now, it shouldn't make a difference.

It makes a difference if you want to set up inetutils and allow 
telnet/rsh access or run other services via inetd.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/